package com.hai.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
public class CommonSysConfig {

    // 嗨森逛域名
    private String hsgDomainName;

    // 加油站默认图片
    private String gasDefaultOilStationImg;

    private String tuanYouUrl;
    private String tuanYouAppKey;
    private String tuanYouAppSecret;
    private String tuanYouDieselAccount;   // 柴油账号
    private String tuanYouGasolineAccount; // 汽油账号

    // 壳牌公共参数
    private String shellGroupUrl;
    private String shellGroupPartnerId;
    private String shellPlatMerchantId;
    private String shellPlatMerchantKey;

    // 金猪参数
    private String jzAppId;
    private String jzPrivateKeyUrl;
    private String jzPublicKeyUrl;

    private String qinzhuUrl;
    private String qinzhuUrlToken;
    private String qinzhuHtmlUrl;
    private String qianzhuH5url;
    private String qinzhuMobileUrl; // 话费充值地址
    private String qinzhuPlatformId;
    private String qinzhuSecret;
    private String qianzhuOrderNotify;
    private String thirdAppKey;
    private String thirdAppSecret;
    private String thirdPostUrl;

    private String huiliantongUrl;
    private String huiliantongAppNo;
    private String huiliantongAppkey;
    private String huiliantongAppsecret;
    private String huiliantongDistributorId;
    private String huiliantongSinopecUrl;

    private String HuiLianTongUnionCardUrl;
    private String HuiLianTongUnionCardAccessCode;
    private String HuiLianTongUnionCardSignCode;

    private String HltMembershipLevelAccessCode;
    private String HltMembershipLevelSignCode;

    private String unionPayUrl;
    private String unionPayChannelid;
    private String unionPayMerid;
    private String unionPayTermid;
    private String unionPaySignKey;
    private String unionPayNotifyUrl;
    private String unionPayTelNotifyUrl;


    private String unionStagingPayUrl;
    private String unionStagingPayOrgId;
    private String unionStagingPayOrgMerCode;
    private String unionStagingPayOrgTermNo;
    private String unionStagingPayNotifyUrl;

    private String wx_cert;

    private String telApiKey;
    private String telApiSecret;
    private String telMemberId;
    private String telUrl;
    private String czOrderNotify;

    private String lyApiKey;
    private String LyNotifyUrl;
    private String lyMemberId;
    private String LyPostUrl;

    private String JjNotifyUrl;
    private String JjAppKey;
    private String JjUrl;
    private String JjAppSecret;

    private String CyApiKey;
    private String CyAppSecret;
    private String CyPostUrl;

    private String unionAppId;
    private String unionSecret;
    private String unionRsaKey;

    private String fileUrl;

    public String getJzAppId() {
        return jzAppId;
    }

    public void setJzAppId(String jzAppId) {
        this.jzAppId = jzAppId;
    }

    public String getJzPrivateKeyUrl() {
        return jzPrivateKeyUrl;
    }

    public void setJzPrivateKeyUrl(String jzPrivateKeyUrl) {
        this.jzPrivateKeyUrl = jzPrivateKeyUrl;
    }

    public String getJzPublicKeyUrl() {
        return jzPublicKeyUrl;
    }

    public void setJzPublicKeyUrl(String jzPublicKeyUrl) {
        this.jzPublicKeyUrl = jzPublicKeyUrl;
    }

    public String getHuiliantongDistributorId() {
        return huiliantongDistributorId;
    }

    public void setHuiliantongDistributorId(String huiliantongDistributorId) {
        this.huiliantongDistributorId = huiliantongDistributorId;
    }

    public String getHuiliantongSinopecUrl() {
        return huiliantongSinopecUrl;
    }

    public void setHuiliantongSinopecUrl(String huiliantongSinopecUrl) {
        this.huiliantongSinopecUrl = huiliantongSinopecUrl;
    }

    public String getShellGroupPartnerId() {
        return shellGroupPartnerId;
    }

    public void setShellGroupPartnerId(String shellGroupPartnerId) {
        this.shellGroupPartnerId = shellGroupPartnerId;
    }

    public String getShellGroupUrl() {
        return shellGroupUrl;
    }

    public void setShellGroupUrl(String shellGroupUrl) {
        this.shellGroupUrl = shellGroupUrl;
    }

    public String getShellPlatMerchantId() {
        return shellPlatMerchantId;
    }

    public void setShellPlatMerchantId(String shellPlatMerchantId) {
        this.shellPlatMerchantId = shellPlatMerchantId;
    }

    public String getShellPlatMerchantKey() {
        return shellPlatMerchantKey;
    }

    public void setShellPlatMerchantKey(String shellPlatMerchantKey) {
        this.shellPlatMerchantKey = shellPlatMerchantKey;
    }

    public String getUnionAppId() {
        return unionAppId;
    }

    public void setUnionAppId(String unionAppId) {
        this.unionAppId = unionAppId;
    }

    public String getUnionSecret() {
        return unionSecret;
    }

    public void setUnionSecret(String unionSecret) {
        this.unionSecret = unionSecret;
    }

    public String getUnionRsaKey() {
        return unionRsaKey;
    }

    public void setUnionRsaKey(String unionRsaKey) {
        this.unionRsaKey = unionRsaKey;
    }

    public String getTuanYouUrl() {
        return tuanYouUrl;
    }

    public void setTuanYouUrl(String tuanYouUrl) {
        this.tuanYouUrl = tuanYouUrl;
    }

    public String getTuanYouAppKey() {
        return tuanYouAppKey;
    }

    public void setTuanYouAppKey(String tuanYouAppKey) {
        this.tuanYouAppKey = tuanYouAppKey;
    }

    public String getTuanYouAppSecret() {
        return tuanYouAppSecret;
    }

    public void setTuanYouAppSecret(String tuanYouAppSecret) {
        this.tuanYouAppSecret = tuanYouAppSecret;
    }

    public String getTuanYouDieselAccount() {
        return tuanYouDieselAccount;
    }

    public void setTuanYouDieselAccount(String tuanYouDieselAccount) {
        this.tuanYouDieselAccount = tuanYouDieselAccount;
    }

    public String getTuanYouGasolineAccount() {
        return tuanYouGasolineAccount;
    }

    public void setTuanYouGasolineAccount(String tuanYouGasolineAccount) {
        this.tuanYouGasolineAccount = tuanYouGasolineAccount;
    }


    public String getQianzhuH5url() {
        return qianzhuH5url;
    }

    public void setQianzhuH5url(String qianzhuH5url) {
        this.qianzhuH5url = qianzhuH5url;
    }

    public String getQinzhuUrl() {
        return qinzhuUrl;
    }

    public String getQinzhuUrlToken() {
        return qinzhuUrlToken;
    }

    public void setQinzhuUrlToken(String qinzhuUrlToken) {
        this.qinzhuUrlToken = qinzhuUrlToken;
    }

    public void setQinzhuUrl(String qinzhuUrl) {
        this.qinzhuUrl = qinzhuUrl;
    }

    public String getQinzhuHtmlUrl() {
        return qinzhuHtmlUrl;
    }

    public void setQinzhuHtmlUrl(String qinzhuHtmlUrl) {
        this.qinzhuHtmlUrl = qinzhuHtmlUrl;
    }

    public String getQinzhuMobileUrl() {
        return qinzhuMobileUrl;
    }

    public void setQinzhuMobileUrl(String qinzhuMobileUrl) {
        this.qinzhuMobileUrl = qinzhuMobileUrl;
    }

    public String getQinzhuPlatformId() {
        return qinzhuPlatformId;
    }

    public void setQinzhuPlatformId(String qinzhuPlatformId) {
        this.qinzhuPlatformId = qinzhuPlatformId;
    }

    public String getQinzhuSecret() {
        return qinzhuSecret;
    }

    public void setQinzhuSecret(String qinzhuSecret) {
        this.qinzhuSecret = qinzhuSecret;
    }

    public String getQianzhuOrderNotify() {
        return qianzhuOrderNotify;
    }

    public void setQianzhuOrderNotify(String qianzhuOrderNotify) {
        this.qianzhuOrderNotify = qianzhuOrderNotify;
    }

    public String getHuiliantongUrl() {
        return huiliantongUrl;
    }

    public void setHuiliantongUrl(String huiliantongUrl) {
        this.huiliantongUrl = huiliantongUrl;
    }

    public String getHuiliantongAppNo() {
        return huiliantongAppNo;
    }

    public void setHuiliantongAppNo(String huiliantongAppNo) {
        this.huiliantongAppNo = huiliantongAppNo;
    }

    public String getHuiliantongAppkey() {
        return huiliantongAppkey;
    }

    public void setHuiliantongAppkey(String huiliantongAppkey) {
        this.huiliantongAppkey = huiliantongAppkey;
    }

    public String getHuiliantongAppsecret() {
        return huiliantongAppsecret;
    }

    public void setHuiliantongAppsecret(String huiliantongAppsecret) {
        this.huiliantongAppsecret = huiliantongAppsecret;
    }

    public String getHuiLianTongUnionCardUrl() {
        return HuiLianTongUnionCardUrl;
    }

    public void setHuiLianTongUnionCardUrl(String huiLianTongUnionCardUrl) {
        HuiLianTongUnionCardUrl = huiLianTongUnionCardUrl;
    }

    public String getHuiLianTongUnionCardAccessCode() {
        return HuiLianTongUnionCardAccessCode;
    }

    public void setHuiLianTongUnionCardAccessCode(String huiLianTongUnionCardAccessCode) {
        HuiLianTongUnionCardAccessCode = huiLianTongUnionCardAccessCode;
    }

    public String getHuiLianTongUnionCardSignCode() {
        return HuiLianTongUnionCardSignCode;
    }

    public void setHuiLianTongUnionCardSignCode(String huiLianTongUnionCardSignCode) {
        HuiLianTongUnionCardSignCode = huiLianTongUnionCardSignCode;
    }

    public String getUnionPayUrl() {
        return unionPayUrl;
    }

    public void setUnionPayUrl(String unionPayUrl) {
        this.unionPayUrl = unionPayUrl;
    }

    public String getUnionPayChannelid() {
        return unionPayChannelid;
    }

    public void setUnionPayChannelid(String unionPayChannelid) {
        this.unionPayChannelid = unionPayChannelid;
    }

    public String getUnionPayMerid() {
        return unionPayMerid;
    }

    public void setUnionPayMerid(String unionPayMerid) {
        this.unionPayMerid = unionPayMerid;
    }

    public String getUnionPayTermid() {
        return unionPayTermid;
    }

    public void setUnionPayTermid(String unionPayTermid) {
        this.unionPayTermid = unionPayTermid;
    }

    public String getUnionPaySignKey() {
        return unionPaySignKey;
    }

    public void setUnionPaySignKey(String unionPaySignKey) {
        this.unionPaySignKey = unionPaySignKey;
    }

    public String getUnionPayNotifyUrl() {
        return unionPayNotifyUrl;
    }

    public void setUnionPayNotifyUrl(String unionPayNotifyUrl) {
        this.unionPayNotifyUrl = unionPayNotifyUrl;
    }

    public String getUnionPayTelNotifyUrl() {
        return unionPayTelNotifyUrl;
    }

    public void setUnionPayTelNotifyUrl(String unionPayTelNotifyUrl) {
        this.unionPayTelNotifyUrl = unionPayTelNotifyUrl;
    }

    public String getUnionStagingPayUrl() {
        return unionStagingPayUrl;
    }

    public void setUnionStagingPayUrl(String unionStagingPayUrl) {
        this.unionStagingPayUrl = unionStagingPayUrl;
    }

    public String getUnionStagingPayOrgId() {
        return unionStagingPayOrgId;
    }

    public void setUnionStagingPayOrgId(String unionStagingPayOrgId) {
        this.unionStagingPayOrgId = unionStagingPayOrgId;
    }

    public String getUnionStagingPayOrgMerCode() {
        return unionStagingPayOrgMerCode;
    }

    public void setUnionStagingPayOrgMerCode(String unionStagingPayOrgMerCode) {
        this.unionStagingPayOrgMerCode = unionStagingPayOrgMerCode;
    }

    public String getUnionStagingPayOrgTermNo() {
        return unionStagingPayOrgTermNo;
    }

    public void setUnionStagingPayOrgTermNo(String unionStagingPayOrgTermNo) {
        this.unionStagingPayOrgTermNo = unionStagingPayOrgTermNo;
    }

    public String getUnionStagingPayNotifyUrl() {
        return unionStagingPayNotifyUrl;
    }

    public void setUnionStagingPayNotifyUrl(String unionStagingPayNotifyUrl) {
        this.unionStagingPayNotifyUrl = unionStagingPayNotifyUrl;
    }

    public String getWx_cert() {
        return wx_cert;
    }

    public void setWx_cert(String wx_cert) {
        this.wx_cert = wx_cert;
    }

    public String getTelApiKey() {
        return telApiKey;
    }

    public void setTelApiKey(String telApiKey) {
        this.telApiKey = telApiKey;
    }

    public String getTelApiSecret() {
        return telApiSecret;
    }

    public void setTelApiSecret(String telApiSecret) {
        this.telApiSecret = telApiSecret;
    }

    public String getTelMemberId() {
        return telMemberId;
    }

    public void setTelMemberId(String telMemberId) {
        this.telMemberId = telMemberId;
    }

    public String getTelUrl() {
        return telUrl;
    }

    public void setTelUrl(String telUrl) {
        this.telUrl = telUrl;
    }

    public String getCzOrderNotify() {
        return czOrderNotify;
    }

    public void setCzOrderNotify(String czOrderNotify) {
        this.czOrderNotify = czOrderNotify;
    }

    public String getHltMembershipLevelAccessCode() {
        return HltMembershipLevelAccessCode;
    }

    public void setHltMembershipLevelAccessCode(String hltMembershipLevelAccessCode) {
        HltMembershipLevelAccessCode = hltMembershipLevelAccessCode;
    }

    public String getHltMembershipLevelSignCode() {
        return HltMembershipLevelSignCode;
    }

    public void setHltMembershipLevelSignCode(String hltMembershipLevelSignCode) {
        HltMembershipLevelSignCode = hltMembershipLevelSignCode;
    }

    public String getJjNotifyUrl() {
        return JjNotifyUrl;
    }

    public void setJjNotifyUrl(String jjNotifyUrl) {
        JjNotifyUrl = jjNotifyUrl;
    }

    public String getJjAppKey() {
        return JjAppKey;
    }

    public void setJjAppKey(String jjAppKey) {
        JjAppKey = jjAppKey;
    }

    public String getJjUrl() {
        return JjUrl;
    }

    public void setJjUrl(String jjUrl) {
        JjUrl = jjUrl;
    }

    public String getJjAppSecret() {
        return JjAppSecret;
    }

    public void setJjAppSecret(String jjAppSecret) {
        JjAppSecret = jjAppSecret;
    }

    public String getHsgDomainName() {
        return hsgDomainName;
    }

    public void setHsgDomainName(String hsgDomainName) {
        this.hsgDomainName = hsgDomainName;
    }

    public String getLyApiKey() {
        return lyApiKey;
    }

    public void setLyApiKey(String lyApiKey) {
        this.lyApiKey = lyApiKey;
    }

    public String getLyMemberId() {
        return lyMemberId;
    }

    public void setLyMemberId(String lyMemberId) {
        this.lyMemberId = lyMemberId;
    }

    public String getLyPostUrl() {
        return LyPostUrl;
    }

    public void setLyPostUrl(String lyPostUrl) {
        LyPostUrl = lyPostUrl;
    }

    public String getLyNotifyUrl() {
        return LyNotifyUrl;
    }

    public void setLyNotifyUrl(String lyNotifyUrl) {
        LyNotifyUrl = lyNotifyUrl;
    }

    public String getThirdAppKey() {
        return thirdAppKey;
    }

    public void setThirdAppKey(String thirdAppKey) {
        this.thirdAppKey = thirdAppKey;
    }

    public String getThirdAppSecret() {
        return thirdAppSecret;
    }

    public void setThirdAppSecret(String thirdAppSecret) {
        this.thirdAppSecret = thirdAppSecret;
    }

    public String getThirdPostUrl() {
        return thirdPostUrl;
    }

    public void setThirdPostUrl(String thirdPostUrl) {
        this.thirdPostUrl = thirdPostUrl;
    }

    public String getCyApiKey() {
        return CyApiKey;
    }

    public void setCyApiKey(String cyApiKey) {
        CyApiKey = cyApiKey;
    }

    public String getCyAppSecret() {
        return CyAppSecret;
    }

    public void setCyAppSecret(String cyAppSecret) {
        CyAppSecret = cyAppSecret;
    }

    public String getCyPostUrl() {
        return CyPostUrl;
    }

    public void setCyPostUrl(String cyPostUrl) {
        CyPostUrl = cyPostUrl;
    }

    public String getGasDefaultOilStationImg() {
        return gasDefaultOilStationImg;
    }

    public void setGasDefaultOilStationImg(String gasDefaultOilStationImg) {
        this.gasDefaultOilStationImg = gasDefaultOilStationImg;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }
}
